gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server.ServerPortCollection Class
ServerPortCollection Methods
Add Method
Add Method (ServerPort)
Add Method (String, Int32, ServerCredentials)

Server ServerPortCollection Add Method (ServerPort)

Adds a new port on which server should listen. Only call this before Start().

#### Return Value

Type: Int32
The port on which server will be listening.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public int Add(
    	ServerPort serverPort
    )

    Public Function Add (
    	serverPort As ServerPort
    ) As Integer

    public:
    int Add(
    	ServerPort^ serverPort
    )

    member Add :
            serverPort : ServerPort -> int

#### Parameters

serverPort
  Type: Grpc.Core
  ServerPort

  [Missing <param name="serverPort"/> documentation for "M:Grpc.Core.Server.ServerPortCollection.Add(Grpc.Core.ServerPort)"]

#### Return Value

Type: Int32
See Also

#### Reference

Server
ServerPortCollection Class
Add Overload
Grpc.Core Namespace